xn::DeviceIdentificationCapability Class Reference
C++ Reference to Application Programmer Interface (API) » Production Nodes Functionality

`#include <XnCppWrapper.h>`

Inheritance diagram for xn::DeviceIdentificationCapability:
[legend]

## Public Member Functions

| DeviceIdentificationCapability (XnNodeHandle hNode)
| DeviceIdentificationCapability (const NodeWrapper &node)
XnStatus | GetDeviceName (XnChar *strBuffer, XnUInt32 nBufferSize)
XnStatus | GetVendorSpecificData (XnChar *strBuffer, XnUInt32 nBufferSize)
XnStatus | GetSerialNumber (XnChar *strBuffer, XnUInt32 nBufferSize)
Public Member Functions inherited from xn::Capability
| Capability (XnNodeHandle hNode)
| Capability (const NodeWrapper &node)
Public Member Functions inherited from xn::NodeWrapper
| NodeWrapper (XnNodeHandle hNode)
| NodeWrapper (const NodeWrapper &other)
NodeWrapper & | operator= (const NodeWrapper &other)
| ~NodeWrapper ()
| operator XnNodeHandle () const
XnNodeHandle | GetHandle () const
XnBool | operator== (const NodeWrapper &other)
XnBool | operator!= (const NodeWrapper &other)
XnBool | IsValid () const
const XnChar * | GetName () const
XnStatus | AddRef ()
void | Release ()
void | SetHandle (XnNodeHandle hNode)
void | TakeOwnership (XnNodeHandle hNode)

## Detailed Description

Purpose: The DeviceIdentificationCapability object allows an application to receive some device-specific information about a hardware device, like its serial number and its model name.

Usage: Do not instantiate directly. Instead, use Device::GetIdentificationCap() to obtain an instance.

## Constructor & Destructor Documentation

## DeviceIdentificationCapability() [1/2]

xn::DeviceIdentificationCapability::DeviceIdentificationCapability | ( | XnNodeHandle | hNode | ) |

inline

Ctor

Parameters

  [in] | hNode | Node handle

## DeviceIdentificationCapability() [2/2]

xn::DeviceIdentificationCapability::DeviceIdentificationCapability | ( | const NodeWrapper & | node | ) |

inline

## Member Function Documentation

## GetDeviceName()

XnStatus xn::DeviceIdentificationCapability::GetDeviceName | ( | XnChar * | strBuffer,
|  | XnUInt32 | nBufferSize )

inline

Gets the name of the device holding this capability object.

Parameters

  [in] | strBuffer | Buffer to accept the device information.
  [in,out] | nBufferSize | Size of the buffer.

Return values

  XN_STATUS_OK | Operation succeeded.
  XN_STATUS_OUTPUT_BUFFER_OVERFLOW | The size of the buffer is not sufficient.

## GetSerialNumber()

XnStatus xn::DeviceIdentificationCapability::GetSerialNumber | ( | XnChar * | strBuffer,
|  | XnUInt32 | nBufferSize )

inline

Gets the vendor-specific name of the device holding this capability object.

Parameters

  [in] | strBuffer | Buffer to accept the serial number
  [in,out] | nBufferSize | Size of the buffer.

Return values

  XN_STATUS_OK | Operation succeeded.
  XN_STATUS_OUTPUT_BUFFER_OVERFLOW | The size of the buffer is not sufficient.

## GetVendorSpecificData()

XnStatus xn::DeviceIdentificationCapability::GetVendorSpecificData | ( | XnChar * | strBuffer,
|  | XnUInt32 | nBufferSize )

inline

Gets the vendor-specific name of the device holding this capability object.

Parameters

  [in] | strBuffer | Buffer to accept the device information.
  [in,out] | nBufferSize | Size of the buffer.

Return values

  XN_STATUS_OK | Operation succeeded.
  XN_STATUS_OUTPUT_BUFFER_OVERFLOW | The size of the buffer is not sufficient.

The documentation for this class was generated from the following file:

- XnCppWrapper.h